"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAUXCodeClient = exports.AUXCodeClient = void 0;
const RestClient_1 = require("./RestClient");
class AUXCodeClient {
    constructor(subAccountId, restClient) {
        this.restClient = restClient;
        this.subAccountId = subAccountId;
    }
    getAuxCodes() {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.restClient.getAuxCodesBySubaccountId(this.subAccountId);
        });
    }
    getEffectiveAuxCodes() {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.restClient.getEffectiveAuxCodesBySubaccountId(this.subAccountId);
        });
    }
    getAUXCodesForEffectiveAppId() {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.restClient.getAUXCodeForEffectiveAppId();
        });
    }
}
exports.AUXCodeClient = AUXCodeClient;
function createInstance(restClient) {
    return __awaiter(this, void 0, void 0, function* () {
        const subAccountId = yield restClient.getSubAccountId();
        return new AUXCodeClient(subAccountId, restClient);
    });
}
function createAUXCodeClient(endpoint, apiKey) {
    return __awaiter(this, void 0, void 0, function* () {
        const restClient = new RestClient_1.RestClient(endpoint, apiKey);
        return yield createInstance(restClient);
    });
}
exports.createAUXCodeClient = createAUXCodeClient;
//# sourceMappingURL=AUXCodeClient.js.map