import { AddressBookResponse } from './models';
import { AddressBookSearchRequest } from './models';
import { AddressBookSearchResponse } from './models';
export declare class AddressBookClient {
    private restClient;
    constructor(endpoint: string, apiKey: string);
    /**
     * @returns AddressBookResponse with all active contacts for a Sub-account
     */
    getAddressBook(): Promise<AddressBookResponse>;
    /**
     * @param AddressBookSearchRequest (optional) search by type, query, orderBy, orderDirection, page, pageSize
     * @returns AddressBookSearchResponse with active contacts for a Sub-account according to search params
     */
    searchContacts(request?: AddressBookSearchRequest): Promise<AddressBookSearchResponse>;
}
export declare function createAddressBookClient(endpoint: string, apiKey: string): AddressBookClient;
