"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAddressBookClient = exports.AddressBookClient = void 0;
const RestClient_1 = require("./RestClient");
class AddressBookClient {
    constructor(endpoint, apiKey) {
        this.restClient = new RestClient_1.RestClient(endpoint, apiKey);
    }
    /**
     * @returns AddressBookResponse with all active contacts for a Sub-account
     */
    getAddressBook() {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.restClient.getAddressBook();
        });
    }
    /**
     * @param AddressBookSearchRequest (optional) search by type, query, orderBy, orderDirection, page, pageSize
     * @returns AddressBookSearchResponse with active contacts for a Sub-account according to search params
     */
    searchContacts(request) {
        return __awaiter(this, void 0, void 0, function* () {
            return yield this.restClient.searchContacts(request);
        });
    }
}
exports.AddressBookClient = AddressBookClient;
function createAddressBookClient(endpoint, apiKey) {
    return new AddressBookClient(endpoint, apiKey);
}
exports.createAddressBookClient = createAddressBookClient;
//# sourceMappingURL=AddressBookClient.js.map