import { CreateSubscriptionData, Subscription } from './models';
import { RestClient } from './RestClient';
export declare class SubscriptionClient {
    subAccountAppId: string;
    restClient: RestClient;
    constructor(subAccountAppId: string, restClient: RestClient);
    /**
     * create a data subscription on the default sub account and returns a Subscription object
     * @param createSubscriptionRequest
     */
    createSubscription(createSubscriptionRequest: CreateSubscriptionData): Promise<Subscription>;
    /**
     * return all subscripitions of the default sub account
     */
    getAllSubscriptions(): Promise<Subscription[]>;
    /**
     * Update subscription and returns updated Subscription object
     * @param updateSubscriptionRequest
     */
    updateSubscription(updateSubscriptionRequest: Subscription): Promise<Subscription>;
    /**
     * Delete subscription by subscription id. Returns 200 if successful, negative status code in error.
     * @param subscriptionId
     */
    deleteSubscription(subscriptionId: string): Promise<number>;
    /**
     * returns Subscription object given subscription id or an empty object
     * @param subscriptionId
     */
    getSubscription(subscriptionId: string): Promise<any>;
}
/**
 * create SubscriptionClient given endpoint and apiKey. Note to user: SubAccountAppId is used interally and the only
 * allowable feed will be REAL_TIME_FEED.
 * @param endpoint
 * @param apiKey
 */
export declare function createSubscriptionClient(endpoint: string, apiKey: string): Promise<SubscriptionClient>;
