/**
 * @hidden
 * @ignore
 * @internal
 */
/**
 * This comment and the above tags will tell typedoc to ignore the whole module.
 */
import { JsonDecoder } from 'ts.data.json';
import { SkillPriority } from './models';
export default function isValidParameter(key: string, parameter: any): boolean;
export declare const skillDecoder: JsonDecoder.Decoder<SkillPriority>;
export declare function randomString(length: number): string;
export declare function isValidSkillsWithPriorities(key: string, skillPriorities: string): boolean;
/**
 * sleep for millis seconds must be called with await
 * @param ms
 */
export declare function sleep(ms: number): Promise<void>;
export declare function removeSingleQuote(s: string): string;
export declare function getValue(key: string, args: any): string;
/**
 * check if password is valid
 * @param password, min length 8, max length 32, must have a uppercase character, must have at least one lowercase char, no whitespace, must contains a number, must contain one of ~!@?#$%^&*_
 */
export declare function isValidPassword(password: string): boolean;
export declare function hasLowerCase(str: string): boolean;
export declare function hasUpperCase(str: string): boolean;
export declare function hasSpecialCharacter(str: string): boolean;
export declare function hasWhiteSpace(str: string): boolean;
export declare function hasAllowableCharacters(str: string): boolean;
/**
 * check if a username is valid
 * @param username min length 2, max length 49, must pass ^[-.@\w]+$
 */
export declare function isValidUsername(username: string): boolean;
/**
 * check if first or last name is valid
 * @param name min length 2, max length 16, must pass /^[a-zA-Z][a-zA-Z0-9_ .,'+]*$/
 */
export declare function isValidFirstLastName(name: string): boolean;
export declare function isEmpty(data: any): boolean;
export declare function isTokenWellFormed(token: string): boolean;
export declare function isValidLocalUrl(url: string): boolean;
export declare function isValidUrl(url: string): boolean;
