"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appendQueryParam = exports.buildQueryParams = void 0;
function buildQueryParams(request) {
    if (request === undefined) {
        return '';
    }
    let queryParams = '';
    if (request.type) {
        queryParams = appendQueryParam(queryParams, 'type', request.type);
    }
    if (request.query) {
        queryParams = appendQueryParam(queryParams, 'query', request.query);
    }
    if (request.orderBy) {
        queryParams = appendQueryParam(queryParams, 'orderBy', request.orderBy);
    }
    if (request.orderDirection) {
        queryParams = appendQueryParam(queryParams, 'orderDirection', request.orderDirection);
    }
    if (request.page !== undefined) {
        queryParams = appendQueryParam(queryParams, 'page', request.page);
    }
    if (request.pageSize !== undefined) {
        queryParams = appendQueryParam(queryParams, 'pageSize', request.pageSize);
    }
    return queryParams;
}
exports.buildQueryParams = buildQueryParams;
function appendQueryParam(query, paramName, paramValue) {
    const connectorCharacter = query ? '&' : '?';
    return `${query}${connectorCharacter}${paramName}=${paramValue}`;
}
exports.appendQueryParam = appendQueryParam;
//# sourceMappingURL=AddressBookTypes.js.map