export declare enum DataSourceType {
    ECH = "ECH",
    HAgLog = "HAGLOG",
    HAgent = "HAGENT",
    RtAgentState = "RT_AGENT_STATE",
    RtDidState = "RT_DID_STATE",
    RtSkillState = "RT_SKILL_STATE",
    RtVdnState = "RT_VDN_STATE",
    RealTimeFeed = "REAL_TIME_FEED"
}
export declare enum DataDeliveryFormat {
    Csv = "CSV",
    Json = "JSON"
}
export declare enum RetryPolicy {
    Default = "DEFAULT"
}
export declare enum EventType {
    Historical = "HISTORICAL",
    Realtime = "REALTIME"
}
export interface Subscription {
    subscriptionId: string;
    subAccountAppId: string;
    dataSourceType: DataSourceType;
    startTime: string;
    frequencyInMinutes: number;
    maxPostSize: number;
    dataDeliveryFormat: DataDeliveryFormat;
    endpoint: string;
    disableTLSVerify?: boolean;
    basicAuthUsername?: string;
    basicAuthPassword?: string;
    oldestError?: string;
    LostPostRequests?: number;
    LostRecords?: number;
    lastDataSent?: string;
    retryPolicy: RetryPolicy;
    eventType: EventType;
}
export declare type CreateSubscriptionData = Omit<Subscription, 'subscriptionId' | 'subAccountAppId' | 'oldestError' | 'LostPostRequests' | 'LostRecords' | 'lastDataSent'>;
